Users Addresses Update
Update an address in an existing customer.
Authorization
oauth2 users:writeGenerate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: users:write
Path Parameters
A unique integer value identifying this User address.
A unique integer value identifying this User address.
Header Parameters
"unstable""unstable"The address country code.
The first name of the address.
length <= 255Use this address as the default billing address.
Use this address as the default shipping address.
The last name of the address.
length <= 255The first line of the address.
length <= 255Optional second line of of the address.
length <= 255Optional third line of of the address.
length <= 255City of the address.
length <= 255Tell us anything we should know when delivering your order.
The address phone number.
length <= 128The address post code or zip code.
length <= 64The address state/province.
length <= 255Response Body
application/json
curl -X PUT "https://example.29next.store/api/admin/users/0/addresses/0/" \
-H "X-29next-API-Version: unstable" \
-H "Authorization: Bearer " \
-H "Content-Type: application/json" \
-d '{
"country": "string",
"line1": "string",
"line4": "string"
}'{
"country": "string",
"first_name": "string",
"id": 0,
"is_default_for_billing": true,
"is_default_for_shipping": true,
"last_name": "string",
"line1": "string",
"line2": "string",
"line3": "string",
"line4": "string",
"notes": "string",
"phone_number": "string",
"postcode": "string",
"state": "string"
}